org.vishia.guiViewCfg

## Class OamRcvValue

- java.lang.Object
- - org.vishia.guiViewCfg.OamRcvValue

- All Implemented Interfaces:
    java.lang.Runnable

      public class OamRcvValue
      extends java.lang.Object
      implements java.lang.Runnable

  This class organizes the receiving of data from a automation device. An own thread is created. In its run-routine the thread waits for receiving data via socket or another adequate interprocess-communication. For evaluating the received data the routine `OamShowValues.show(byte[], int, int)` is called.
  A datagram may contain more as one data-set. The datagram is defined with the inspector-datagram- definition, see `InspcDataExchangeAccess`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `bIpcOpened`
    `(package private) boolean` | `bRun`
    `(package private) int` | `ctCorruptData`
    `(package private) InspcDataExchangeAccess.InspcDatagram` | `datagramRcv`
    `private java.util.Map<java.lang.String,java.lang.String>` | `indexUnknownVariable`
    `(package private) InspcDataExchangeAccess.Inspcitem` | `infoEntity`
    `private InterProcessComm` | `ipc`
    `(package private) Report` | `log`
    `(package private) byte[]` | `recvData`
    `(package private) byte[]` | `sendData`
    `private OamShowValues` | `showValues` Associated class which shows the values
    `private Address_InterProcessComm` | `targetAddr`
    `private java.lang.Thread` | `thread` The thread.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OamRcvValue(OamShowValues showValues, Report log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `evalTelg(byte[] recvData, int nrofBytes)`
    `void` | `finalize()` Sheet anchor: close the socket before the object is removed.
    `void` | `run()`
    `void` | `sendRequest()`
    `void` | `start()` Starts the receiver thread.
    `void` | `stopThread()` If the application is stopped, the thread have to be stopped firstly.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### showValues

          private final OamShowValues showValues

      Associated class which shows the values

    - #### thread

          private final java.lang.Thread thread

      The thread. Composition.

    - #### bRun

          boolean bRun

    - #### ctCorruptData

          int ctCorruptData

    - #### bIpcOpened

          boolean bIpcOpened

    - #### indexUnknownVariable

          private final java.util.Map<java.lang.String,java.lang.String> indexUnknownVariable

    - #### datagramRcv

          InspcDataExchangeAccess.InspcDatagram datagramRcv

    - #### infoEntity

          InspcDataExchangeAccess.Inspcitem infoEntity

    - #### log

          final Report log

    - #### ipc

          private final InterProcessComm ipc

    - #### targetAddr

          private final Address_InterProcessComm targetAddr

    - #### recvData

          byte[] recvData

    - #### sendData

          byte[] sendData

  - ### Constructor Detail

    - #### OamRcvValue

          public OamRcvValue(OamShowValues showValues,
                             Report log)

  - ### Method Detail

    - #### start

          public void start()

      Starts the receiver thread.

    - #### stopThread

          public void stopThread()

      If the application is stopped, the thread have to be stopped firstly. The socket will be closed in the receiver-thread, when it is stopped.

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### evalTelg

          private void evalTelg(byte[] recvData,
                                int nrofBytes)
                         throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### sendRequest

          public void sendRequest()

    - #### finalize

          public void finalize()

      Sheet anchor: close the socket before the object is removed.
      Overrides:
        `finalize` in class `java.lang.Object`
      See Also:
        `Object.finalize()`